﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" >
    <title>Enrollment Manager Homepage</title>
      <script src="../../ClientGlobalContext.js.aspx" type="text/javascript"></script>
 <script src="js/main.js" type="text/javascript"></script>
 <script src="/Webresources/a422_FetchUtil.js" type="text/javascript"></script>
        <script type="text/javascript">
            
            /// Method that displays the result for the search functionality.
            function loaddata(obj) {

                if (document.getElementById(obj).value == '' || document.getElementById(obj).value == undefined || document.getElementById(obj).value == 'Search for records') {
                    alert('You must provide find criteria before performing a search.');
                    return false;
                }
                var txtOppPerson = document.getElementById('oppInterPersonName');
                var txtPerson = document.getElementById('personName');
                var txtAccName = document.getElementById('accountName');
                //var url = 'http://' + location.host;

                var form = document.getElementById('resultRender');
                var fXmlField = document.getElementById('fetchXml');
                var lXmlField = document.getElementById('layoutXml');
                var entityNameField = document.getElementById('entityName');
                var defViewIdField = document.getElementById('defaultAdvFindViewId');
                var viewIdField = document.getElementById('viewId');

                if (obj == 'oppInterPersonName') {
                    var searchStr = txtOppPerson.value;
                    var filterStr = '';
                    searchStr = MakeSearchString(searchStr);
                    if (searchStr != '') {
                        filterStr = '<filter type="and"><condition attribute="fullname" operator="like" value="' + searchStr + '"/></filter>';
                    }
                    fXmlField.value = '<fetch version="1.0" output-format="xml-platform" mapping="logical" distinct="false"><entity name="opportunity"><attribute name="customerid"/><attribute name="a422_applicationtypeid"/><attribute name="a422_rel_opptypeid"/><attribute name="a422_rel_oppstatusvalueid"/><attribute name="a422_rel_oppstatuscategoryid"/><attribute name="a422_rel_entrytermid"/><attribute name="opportunityid"/><order attribute="a422_rel_entrytermid" descending="false"/><link-entity name="contact" from="contactid" to="customerid" alias="aa">' + filterStr + '</link-entity><filter type="and"><condition attribute="statecode" operator="eq" value="0" /></filter></entity></fetch>';
                    lXmlField.value = '<grid name="resultset" object="3" jump="name" select="1" icon="1" preview="1"><row name="result" id="opportunityid"><cell name="customerid" width="150" /><cell name="a422_rel_entrytermid" width="100" /><cell name="a422_rel_oppstatuscategoryid" width="150" /><cell name="a422_rel_oppstatusvalueid" width="125" /><cell name="a422_rel_opptypeid" width="100" /><cell name="a422_applicationtypeid" width="100" /></row></grid>';
                    entityNameField.value = 'opportunity';
                    defViewIdField.value = '{00000000-0000-0000-00AA-000000666800}';
                    viewIdField.value = '{00000000-0000-0000-00AA-000000666800}';
                    
                    //window.open(url + '/ISV/Dashboard/CustomAdvFindView.htm?oname=' + txtOppPerson.value, '', 'channelmode=no, toolbar=no, location=no, directories=no, status=yes, menubar=no, scrollbars=yes, resizable=yes, copyhistory=no, width=900, height=500');
                }
                else if (obj == 'personName') {
                    var searchStr = txtPerson.value;
                    var filterStr = '';
                    searchStr = MakeSearchString(searchStr);
                    if (searchStr != '') {
                        filterStr = '<filter type="or"><condition attribute="fullname" operator="like" value="' + searchStr + '"/><condition attribute="a422_priorlastname" operator="like" value="' + searchStr + '"/><condition attribute="nickname" operator="like" value="' + searchStr + '"/><condition attribute="middlename" operator="like" value="' + searchStr + '"/></filter>';
                    }
                    // Searches on fullname,nickname,Prior Last Name.
                    fXmlField.value = '<fetch version="1.0" output-format="xml-platform" mapping="logical" distinct="false"><entity name="contact"><attribute name="lastname"/><attribute name="telephone2"/><attribute name="a422_geomarket"/><attribute name="firstname"/><attribute name="emailaddress1"/><attribute name="address1_stateorprovince"/><attribute name="address1_city"/><attribute name="birthdate"/><attribute name="contactid"/><order attribute="lastname" descending="false"/><filter type="and"><condition attribute="statecode" operator="eq" value="0" /></filter>' + filterStr + '</entity></fetch>';
                    lXmlField.value = '<grid name="resultset" object="2" jump="lastname" select="1" icon="1" preview="1"><row name="result" id="contactid"><cell name="lastname" width="100" /><cell name="firstname" width="100" /><cell name="address1_city" width="100" /><cell name="address1_stateorprovince" width="100" /><cell name="a422_geomarket" width="100" /><cell name="telephone2" width="100" /><cell name="emailaddress1" width="125" /><cell name="birthdate" width="100" /></row></grid>';
                    entityNameField.value = 'contact';
                    defViewIdField.value = '{00000000-0000-0000-00AA-000000666400}';
                    viewIdField.value = '{00000000-0000-0000-00AA-000000666400}';
                    
                    //window.open(url + '/ISV/Dashboard/CustomAdvFindView.htm?cname=' + txtPerson.value, '', 'channelmode=no, toolbar=no, location=no, directories=no, status=yes, menubar=no, scrollbars=yes, resizable=yes, copyhistory=no, width=900, height=500');
                }
                else if (obj == 'accountName') {
                    var searchStr = txtAccName.value;
                    var filterStr = '';
                    searchStr = MakeSearchString(searchStr);
                    if (searchStr != '') {
                        filterStr = '<filter type="and"><condition attribute="name" operator="like" value="' + searchStr + '"/></filter>';
                    }
                    fXmlField.value = '<fetch version="1.0" output-format="xml-platform" mapping="logical" distinct="false"><entity name="account"><attribute name="name"/><attribute name="primarycontactid"/><attribute name="telephone1"/><attribute name="sic"/><attribute name="address1_stateorprovince"/><attribute name="address1_city"/><attribute name="ownerid"/><attribute name="accountnumber"/><attribute name="accountid"/><order attribute="name" descending="false"/><filter type="and"><condition attribute="statecode" operator="eq" value="0" /></filter>'+ filterStr +'</entity></fetch>';
                    lXmlField.value = '<grid name="resultset" object="1" jump="name" select="1" icon="1" preview="1"><row name="result" id="accountid"><cell name="name" width="200" /><cell name="address1_city" width="100" /><cell name="address1_stateorprovince" width="100" /><cell name="accountnumber" width="125" /><cell name="sic" width="100" /><cell name="primarycontactid" width="150" /><cell name="telephone1" width="100" /><cell name="ownerid" width="100" /></row></grid>';
                    entityNameField.value = 'account';
                    defViewIdField.value = '{00000000-0000-0000-00AA-000000666000}';
                    viewIdField.value = '{00000000-0000-0000-00AA-000000666000}';
                    
                    //window.open(url + '/ISV/Dashboard/CustomAdvFindView.htm?aname=' + txtAccName.value, '', 'channelmode=no, toolbar=no, location=no, directories=no, status=yes, menubar=no, scrollbars=yes, resizable=yes, copyhistory=no, width=900, height=500');
                }
                form.submit();
            }
            //Method that creates search string including wild chars.
            function MakeSearchString(searchStr) {
                if (searchStr.length == 1) {
                    if (searchStr == '*') {
                        searchStr = '';
                    }
                    else {
                        searchStr = searchStr.concat('%');
                    }
                }
                else {
                    if (searchStr.indexOf('*')>-1) {
                        searchStr = searchStr.replace(/[*]/g, '%');
                    }
                    else {
                        searchStr = searchStr.concat('%');
                    }
                }
                return searchStr;
            }
    </script>
    <style type="text/css">
        .style4
        {
            width: 280px;
        }
        .vertical-line
        {
            /* add padding and margin to suite needs */
            border-left: 1px solid #CCCCCC;
            height: 25px;
            color:#CCCCCC;
        }
        SELECT.selectBox
        {
           width: 100%;
           height: 20px;
           font-size: 11px;
           font:Gray;
           vertical-align: top;
        }
        input.selectBox
        {
           width: 100%;
           height: 19px;
           border: 1px solid #7b9ebd;
           border-right: 0px;
           padding-left: 5px;
           font-size: 11px;
           vertical-align: top;
        }
        input.searchBox
        {
           width: 96%;
           height: 14px;
           padding-right: 0px;
           font-size: 11px;
           vertical-align: top;
        }
        .searchButton
        {
            margin-top: 0px;
            cursor:pointer;
        }
        #Label1
        {
			font-size:17pt;
			color:#005B7F;
			font-family:Tahoma;
			font-weight:bold;
		}
		body
		{
			background-color: #ffffff;
		}
		.imageLink
		{
		cursor:pointer;
		}

    </style>
</head>
<body onload="loadQNames();">
    <form id="LaunchPage" >
    <div>
        <table style="width: 100%; height: 100px;" cellspacing="0">
            <tr valign="bottom">
                <td style="padding-left: 20px;width:10%">
                    <img alt="" src="images/Logo_Hat.gif" id="imgHeader1" />
                </td>
                <td style="width: 90%;">
                    <img alt="Enrollment Manager | Make Your Class" title="Enrollment Manager | Make Your Class" src="images/EM_Logo_NoHat.gif" id="imgHeader2" />
                </td>
            </tr>
            <tr valign="top">
                <td style="width: 100%; vertical-align:top;" colspan="2">
                    <hr style="height: 1px; color: #CCCCCC;width: 100%;" />
                </td>
            </tr>
            <tr>
            <td colspan="2" style="height:20px"></td>
            </tr>
        </table>
        <table style="width: 100%; height: 100%;" cellspacing="0" cellpadding="0">
            <tr valign="bottom">
                <td width="850px" align="left" >
                    <table  cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="padding-left: 130px; width: 100%;height: 100%;">
                                <span id="Label1">Manage Persons</span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td style="width: 100%; height: 100%;">
                                <table style="width: 100%; height: 100%;">
                                    <tr>
                                        <td style="padding-left: 57px;">
                                            <img alt="Manage Persons" title="Manage Persons" src="images/Mixed_People.gif" id="imgMngPersons" />
                                        </td>
                                        <td style="padding-left: 8px;">
                                            <img alt="New Person" title="New Person" src="images/Blue_Plus.gif" id="imgNewPerson" onclick="window.open('/sfa/conts/edit.aspx#')" class="imageLink" />
                                        </td>
                                        <td style="height: 8px; padding-left: 8px; padding-right: 8px;">
                                            <div class="vertical-line" style="margin-right: 3px">
                                            </div>
                                        </td>
                                        <td>
                                            <img alt="Person List View" title="Active Persons" src="images/Yellow_Pad.gif" id="imgPersonList" onclick="getSelQuery('padPersons');" class="imageLink" />
                                        </td>
                                        <td style="height: 8px; padding-left: 8px; padding-right: 8px;">
                                            <div class="vertical-line" style="margin-right: 3px">
                                            </div>
                                        </td>
                                        <td align="left" style="padding: 0; width: 600px">
                                            <table style="table-layout: fixed; width: 100%" cellspacing="0" cellpadding="0">
                                                <tr>
                                                    <td style="width: 45%; padding-right: 0px;">
                                                        <input id="personName" type="text" value="Search for records" 
                                                            onclick="if(this.value=='Search for records'){this.value=''}" 
                                                            onblur="if(this.value=='' || this.value==undefined){this.value='Search for records'}" 
                                                            class="searchBox"/>
                                                            </td>
                                                            <td style="width: 5%;">
                                                        <img alt="" src="images/qfind.gif" onmouseover="this.style.cursor='hand';" class="searchButton" />
                                                    </td>
                                                    <td style="height: 8px; padding-left: 8px; padding-right: 8px; width: 5%">
                                                        <div class="vertical-line" style="margin-right: 3px">
                                                        </div>
                                                    </td>
                                                    <td align="left">
                                                        <select id="ddlPersons" class="selectBox" onchange="getSelQuery('ddlPersons');" name="PersonViews">
                                                        <option selected="selected">Select a View
														</option>
                                                        </select>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr valign="bottom">
                            <td style="padding-left: 130px; width: 100%;height: 100%;">
                                <span id="Label1">Manage Opportunities</span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td style="width: 100%;height: 100%;">
                                <table style="width: 100%; height: 100%;">
                                    <tr>
                                        <td style="padding-left: 57px;">
                                            <img alt="Manage Opportunities" title="Manage Opportunities" src="images/Yellow_Folder.gif" id="imgMngOpps" />
                                        </td>
                                        <td style="padding-left: 8px;">
                                            <img alt="New Opportunity" title="New Opportunity" src="images/Blue_Plus.gif" id="imgNewOpp" onclick="window.open('/sfa/opps/edit.aspx#')" class="imageLink" />
                                        </td>
                                        <td style="height: 8px; padding-left: 8px; padding-right: 8px;">
                                            <div class="vertical-line" style="margin-right: 3px">
                                            </div>
                                        </td>
                                        <td>
                                            <img alt="Opportunity List View" title="My Open Opportunities" src="images/Yellow_Pad.gif" id="imgOppsList" onclick="getSelQuery('padOpps');" class="imageLink" />
                                        </td>
                                        <td style="height: 8px; padding-left: 8px; padding-right: 8px;">
                                            <div class="vertical-line" style="margin-right: 3px">
                                            </div>
                                        </td>
                                        <td align="left" style="padding: 0; width: 600px">
                                            <table style="table-layout: fixed; height: 23px; width: 100%" cellspacing="0" cellpadding="0">
                                                <tr>
                                                    <td style="width: 45%; padding-right: 0px;">
                                                        <input id="oppInterPersonName" type="text" value="Search for records" onclick="if(this.value=='Search for records'){this.value=''}" onblur="if(this.value=='' || this.value==undefined){this.value='Search for records'}" class="searchBox" />
                                                    </td>
                                                    <td style="width: 5%;">
                                                        <img alt="" src="images/qfind.gif" onmouseover="this.style.cursor='hand';"
                                                            onmouseout="this.style.cursor='auto';" 
                                                            onclick="loaddata('oppInterPersonName');" class="searchButton" />
                                                    </td>
                                                    <td style="height: 8px; padding-left: 8px; padding-right: 8px; width: 5%">
                                                        <div class="vertical-line" style="margin-right: 3px">
                                                        </div>
                                                    </td>
                                                    <td align="left">
                                                        <select id="ddlOpps" class="selectBox" onchange="getSelQuery('ddlOpps');" name="OpportunityViews">
                                                        <option selected="selected">Select a View
														</option>
                                                        </select>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr valign="bottom">
                            <td style="padding-left: 130px; width: 100%;height: 100%;">
                                <span id="Label1">Manage Organizations</span>
                            </td>
                        </tr>
                        <tr valign="top">
                            <td style="width: 100%;height: 100%;">
                                <table style="width: 100%;height: 100%;">
                                    <tr>
                                        <td style="padding-left: 57px;">
                                            <img alt="Manage Organizations" title="Manage Organizations" src="images/House.gif" id="imgMngOrgs" />
                                        </td>
                                        <td style="padding-left: 8px;">
                                            <img alt="New Organization" title="New Organization" src="images/Blue_Plus.gif" id="imgNewOrg" onclick="window.open('/sfa/accts/edit.aspx#')" class="imageLink" />
                                        </td>
                                        <td style="height: 8px; padding-left: 8px; padding-right: 8px;">
                                            <div class="vertical-line" style="margin-right: 3px">
                                            </div>
                                        </td>
                                        <td>
                                            <img alt="Organization List View" title="Active Organizations" src="images/Yellow_Pad.gif" id="imgOrgList" onclick="getSelQuery('padAccounts');" class="imageLink" />
                                        </td>
                                        <td style="height: 8px; padding-left: 8px; padding-right: 8px;">
                                            <div class="vertical-line" style="margin-right: 3px">
                                            </div>
                                        </td>
                                        <td align="left" style="padding: 0; width: 600px">
                                            <table style="table-layout: fixed; width: 100%" cellspacing="0" cellpadding="0">
                                                <tr>
                                                    <td style="width: 45%; padding-right: 0px;">
                                                        <input id="accountName" type="text" value="Search for records" 
                                                            onclick="if(this.value=='Search for records'){this.value=''}" 
                                                            onblur="if(this.value=='' || this.value==undefined){this.value='Search for records'}" 
                                                            class="searchBox"/>
                                                    </td>
                                                    <td style="width: 5%;">
                                                        <img alt="" src="images/qfind.gif" onmouseover="this.style.cursor='hand';"
                                                            onmouseout="this.style.cursor='auto';" onclick="loaddata('accountName');" 
                                                            class="searchButton" />
                                                    </td>
                                                    <td style="height: 8px; padding-left: 8px; padding-right: 8px; width: 5%">
                                                        <div class="vertical-line" style="margin-right: 3px">
                                                        </div>
                                                    </td>
                                                    <td align="left">
                                                        <select id="ddlAccounts" class="selectBox" onchange="getSelQuery('ddlAccounts');" name="AccountViews">
                                                        <option selected="selected">Select a View
														</option>
                                                        </select>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    	</div>
    </form>
    <form id="resultRender" action="/AdvancedFind/fetchData.aspx" method="post">
    <input value="<fetch></fetch>" type="hidden" name="FetchXml" id="fetchXml" />
    <input value="<grid></grid>" type="hidden" name="LayoutXml" id="layoutXml" />
    <input value="contact" type="hidden" name="EntityName" id="entityName" />
    <input value="{00000000-0000-0000-00AA-000000000000}" type="hidden" name="DefaultAdvFindViewId"
        id="defaultAdvFindViewId" />
    <input value="{00000000-0000-0000-00AA-000000000000}" type="hidden" name="ViewId"
        id="viewId" />
    <input value="1039" type="hidden" name="ViewType" />
    </form>
</body>
</html>
